Ptex

Public Member Functions | Private Attributes | List of all members
SpinLock Class Reference

`#include <PtexPlatform.h>`

## Public Member Functions
| SpinLock ()
| ~SpinLock ()
void | lock ()
bool | trylock ()
void | unlock ()

## Private Attributes
pthread_spinlock_t | _spinlock

## Detailed Description

Definition at line 148 of file PtexPlatform.h.

## Constructor & Destructor Documentation

## ◆ SpinLock()

SpinLock::SpinLock | ( |  | ) |
| inline

Definition at line 150 of file PtexPlatform.h.

References _spinlock.

## ◆ ~SpinLock()

SpinLock::~SpinLock | ( |  | ) |
| inline

Definition at line 151 of file PtexPlatform.h.

References _spinlock.

## Member Function Documentation

## ◆ lock()

void SpinLock::lock | ( |  | ) |
| inline

Definition at line 152 of file PtexPlatform.h.

References _spinlock.

## ◆ trylock()

bool SpinLock::trylock | ( |  | ) |
| inline

Definition at line 153 of file PtexPlatform.h.

References _spinlock.

## ◆ unlock()

void SpinLock::unlock | ( |  | ) |
| inline

Definition at line 154 of file PtexPlatform.h.

References _spinlock.

## Member Data Documentation

## ◆ _spinlock

pthread_spinlock_t SpinLock::_spinlock
| private

Definition at line 156 of file PtexPlatform.h.

Referenced by lock(), SpinLock(), trylock(), unlock(), and ~SpinLock().

The documentation for this class was generated from the following file:

- PtexPlatform.h